Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.address.parser
Interface AddressListParserVisitor

    public interface AddressListParserVisitor

Method Summary
`java.lang.Object` | `visit(ASTaddr_spec node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTaddress_list node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTaddress node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTangle_addr node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTdomain node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTgroup_body node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTlocal_part node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTmailbox node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTname_addr node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTphrase node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTroute node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    java.lang.Object visit(SimpleNode node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTaddress_list node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTaddress node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTmailbox node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTname_addr node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTgroup_body node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTangle_addr node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTroute node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTphrase node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTaddr_spec node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTlocal_part node,
                           java.lang.Object data)

### visit

    java.lang.Object visit(ASTdomain node,
                           java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.